---@meta

---@class ARideGameState_C : ARGGameState
---@field UberGraphFrame FPointerToUberGraphFrame
---@field DefaultSceneRoot USceneComponent
---@field EpiPen int32
---@field Parts int32
---@field GameFailed boolean
---@field SaveGameCount int32
---@field OnSaveStarted FRideGameState_COnSaveStarted
---@field OnSaveCompleted FRideGameState_COnSaveCompleted
---@field MapData FST_MapData
---@field PlayersDeaths TArray<FVector>
---@field Tapes TArray<UMetaSoundSource>
local ARideGameState_C = {}

---@param PlayerDeathLocation FVector
function ARideGameState_C:AddPlayerDeath(PlayerDeathLocation) end
function ARideGameState_C:ClearCurrentCheckpointMapPositionTracking() end
---@param TrackedPosition FVector
function ARideGameState_C:AddMapData(TrackedPosition) end
function ARideGameState_C:OnPostSave() end
function ARideGameState_C:OnPreSave() end
---@param PlayersDead boolean
---@param VehicleDestroyed boolean
function ARideGameState_C:Multicast_FailGame(PlayersDead, VehicleDestroyed) end
---@param SaveGameObject URGSaveGame
function ARideGameState_C:StaticSave(SaveGameObject) end
---@param SaveGameObject URGSaveGame
function ARideGameState_C:StaticLoad(SaveGameObject) end
---@param EntryPoint int32
function ARideGameState_C:ExecuteUbergraph_RideGameState(EntryPoint) end
function ARideGameState_C:OnSaveCompleted__DelegateSignature() end
function ARideGameState_C:OnSaveStarted__DelegateSignature() end


